TagMangoTagMango Docs
Mango

Get Mango Subscriptions Count

GET
/api/v1/external/mangos/subscriptions/count

Get subscription count for each mango or filtered mangoes from query params.

  • Currently only active and manually active subscriptions from dashboard are counted.
AuthorizationBearer <token>

In: header

Query Parameters

mangoes?string

Comma-separated list of mango ids

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/mangos/subscriptions/count" \  -H "x-whitelabel-host: string"
{
  "subscriptions": [
    {
      "mangoId": "63b4079dcdca2403e8909ce2",
      "mangoTitle": "This is Free Service(03-Feb-23)",
      "count": 496
    },
    {
      "mangoId": "660e428aa4dcdc1ff9ff6d49",
      "mangoTitle": "New Mango V.1",
      "count": 4
    }
  ],
  "totalSubscriptions": 500
}
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}